- Qt 6.11
- QML Types
- QtQml.Models
- RoleFilter
- Qt 6.11.2 Reference Documentation

# RoleFilter QML Type

Abstract base type providing functionality to role-dependent filters. More...

Import Statement: | `import QtQml.Models`
Since: | Qt 6.10
Inherits: | Filter
Inherited By: | ValueFilter
Status: | Preliminary

This type is under development and is subject to change.

- List of all members, including inherited members

## Properties

- roleName : string

## Detailed Description

## Property Documentation

### roleName : string

This property holds the role name that will be used to filter the data.

The default value is the display role.